version: '3'

services:

  bedrock:
    restart: unless-stopped
    networks:
      - traefik
    image: itzg/minecraft-bedrock-server
    container_name: bedrock
    tty: true
    logging:
      options:
        max-size: "8m"
        max-file: "10"
    stdin_open: true
    environment:
      - EULA=true
      - VERSION=LATEST
      - SERVER_NAME=Bedrock Server
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - /srv/bedrock:/data
    # labels:
    #   - "traefik.http.routers.bedrock.entrypoints=websecure"
    #   - "traefik.http.routers.bedrock.rule=Host(`bedrock.knast.cc`)"
    #   - "traefik.http.routers.bedrock.tls.certresolver=letsencr"
    #   - "traefik.udp.routers.bedrock.entrypoints=bedrock"
    #   - "traefik.udp.routers.bedrock.service=bedrock"
    #   - "traefik.udp.services.bedrock.loadbalancer.server.port=19132"

networks:
  traefik:
    external: true
